2009-12-27  Arnaud Soyez  <weboide@codealpha.net>

	* Added shortcuts doc to manpage
	* player_set_position() does no longer call player_start_playing()
	* player_start_playing() is now called directly when stream status has changed from READY to PAUSED
	* Some comment changes

2009-12-27  Arnaud Soyez  <weboide@codealpha.net>

	* Added (void) when returned variable from function is ignored, just for some functions
	* Free locale before setting another locale
	* Check terminal columns on stdout instead of stderr
	* Removed unused player_prepare_for_next_query()

2009-12-27  Arnaud Soyez  <weboide@codealpha.net>

	* Added play_next() to play the next one, a more synchronous way
	* play_next() is now called instead of player_prepare_for_next()
	* Added new shortcut key: 'p' to go to previous stream
	- Modified playlist accordingly (previous, next, first, last functions)
	* Removed now useless case when newstate == GST_STATE_READY
	* Now shows when current stream is paused "[paused]"
	* player_begin() now takes a stream as argument, to know what to play

2009-12-26  Arnaud Soyez  <weboide@codealpha.net>

	* Now shortcut keys also work for capital letters equivalent, useful when caps lock is on
	* Divided the seeking part from player_set_position() and is now in player_seek()

2009-12-25  Arnaud Soyez  <weboide@codealpha.net>

	* Merged missing revision

2009-08-25  Arnaud Soyez  <weboide@codealpha.net>

	* Fixed non-fatal error when libgstreamer is not found. It must be fatal.

2009-12-25  Arnaud Soyez  <weboide@codealpha.net>

	* Bumped version to 0.6-trunk
	* #include's clean-up and factorization
	* Stream *current is now in stream.h with the other pointer
	* Code clean-up, removed some circular #include dependencies (functions.h, ap_config.h)
	* Fixed "g_set_prgname" multiple call warning
	* player_seek() is now player_set_position(StartPlayingPosition position) and non-static
	* Now player_set_position still seeks even if seekposition is 0
	* Added feature: 'r' key now restarts playing the current song with the same position (if random, new position is a new random position)

2009-08-19  Arnaud Soyez  <weboide@codealpha.net>

	* Changed Usage help with more precise info.
	* Release Version 0.5

2009-08-19  Arnaud Soyez  <weboide@codealpha.net>

	* Implemented loop mode:
	- added --loop/-l option
	- added fast-endless-loop-prevention
	- Added documentation and an example, in man page

2009-08-19  Arnaud Soyez  <weboide@codealpha.net>

	* Changed man page to reflect colors implementation
	* Changed README.in to add some optional packages to install, and removed some stuff.

2009-08-19  Arnaud Soyez  <weboide@codealpha.net>

	* Keep Stream info's color normal so that it is more visible
	* Added some other colors (just for testing)

2009-08-19  Arnaud Soyez  <weboide@codealpha.net>

	* Added comments for some variables
	* Now the stream-separating new line is properly printed at the right time/place

2009-08-19  Arnaud Soyez  <weboide@codealpha.net>

	* Colors are now implemented:
	- added --colors to choose when to show colors
	- need_colors (type) returns a bool for whether or not we need to show colors
	* stream_get_string has been split into stream_get_name_string and stream_get_duration_string
	* stream_print_info has been improved to support colors and added better anti-line-wrap
	* stream_print_info now doesn't print \r if stdout is not a TTY
	* Fixed a bad printf format for a g_warning
	* src/stream.h now includes src/functions.h for colors
	* no_video is now set directly in ap_config.init
	* Minor code's aesthetic changes

2009-08-18  Arnaud Soyez  <weboide@codealpha.net>

	* Fixed running audiopreview in background and being stopped by SIGTTIN.
	* Automatically sets --no-video if DISPLAY is empty or undefined.
	* set_tty_flags: now checks if stdin is a TTY and if tcgetattr succeeded.
	* remove_tty_flags is now only added to atexit if set_tty_flags worked.

2009-08-07  Arnaud Soyez  <weboide@codealpha.net>

	* Fixed autogen.sh mistyping.
	* Imported fixes from Chris Taylor (debian maintainer):
	- Escapes dashes in manpage.
	- Removes Makefile.in and adds config.log/status,po/POTFILES to DISTCLEANFILES, in makefile.am

2009-05-20  Arnaud Soyez  <weboide@codealpha.net>

	* Added comments in stream.c
	* Removed obsolete function stream_remove_playing_timeout()

2009-05-19  Arnaud Soyez  <weboide@codealpha.net>

	* Bumped version to 0.5 until next release. This way it's a proper method for bumping versions.

2009-05-19  Arnaud Soyez  <weboide@codealpha.net>

	* Bumped version (0.4) for release.

2009-05-19  Arnaud Soyez  <weboide@codealpha.net>

	* Added --enable-debug to allow enabling/disabling asserts,debug functions, ...
	* Now prints stream info depending on terminal column size to avoid line-wrap

2009-05-07  Arnaud Soyez  <weboide@codealpha.net>

	* Fix characters that are not cleared when reprinting stream info
	* Changed "Previewing:" into "[playing]" when printing stream info
	* Added support for --max-duration (useful with --entirely)
	* autogen.sh: Reverted changes to previous one
	* Minor changes

2009-03-15  Arnaud Soyez  <weboide@codealpha.net>

	* Now stores and updates terminal column-size (in ap_config) with signal SIGWINCH.
	* Better printing of current stream info (use "\r").

2009-03-15  Arnaud Soyez  <weboide@codealpha.net>

	* Fixed non-void return with void function in stream_get_elapsed_time.
	* Added function to get terminal columns number (for later use).

2009-03-15  Arnaud Soyez  <weboide@codealpha.net>

	* Added some files to POTFILES.in to make 'distcheck' happy.
	* Added some ignore rules (about files generated by 'distcheck')
	* This is release 0.3.

2009-03-15  Arnaud Soyez  <weboide@codealpha.net>

	* Changed autogen.sh to use gnome-autogen.sh from gnome-common:
	- Changed README.in about above.
	* Changed version to 0.3 for release.
	* audiopreview.1:
	- Added information about shortcut keys.
	- Changed wording for --file.

2009-02-28  Arnaud Soyez  <weboide@codealpha.net>

	* Fixed typo in configure.ac's bug email address.
	* Some indenting.
	* Added 'See Changelog' to NEWS as we don't use NEWS.

2009-02-23  Arnaud Soyez  <weboide@codealpha.net>

	* Avoid race conditions with key_dispatcher.

2009-02-23  Arnaud Soyez  <weboide@codealpha.net>

	* Proper code for key_dispatcher()'s argument.

2009-02-23  Arnaud Soyez  <weboide@codealpha.net>

	* Fixed previously broken keystroke handler.
	* Fixed condition about dispatch_func.
	* Removed some code comments.

2009-02-23  Arnaud Soyez  <weboide@codealpha.net>

	* Added support to play (simple) playlist files.
	* Removed fask-seek short option.
	* Fixed some memory leaks.
	* g_warning now prints in STDERR instead of STDOUT.
	* Added some doctype comments.
	* [audiopreview.1] (man page):
	- Synopsis more generic.
	- Added information for playlist file support.
	- Removed fast seek short option.
	- Added information about --volume.
	- Added some examples.

2009-02-19  Arnaud Soyez  <weboide@codealpha.net>

	* Added support to receive keystrokes from stdin.
	- Added function to change TTY flags appropriately.
	- Keystrokes are now not echoed.
	- Added dispatcher function.
	- TTY flags are removed "atexit" to avoid problems.
	* Added support for PAUSE (spacebar).
	* Added support for SKIP (N key).
	* Changed Duration-check system to support PAUSE. Now uses "gst_element_query_position".
	* Added some doc-comments and comments.
	* Now uses pointer to pointer to stream 'currentstream' to keep track of current stream.
	* 'ap_config.current' is now 'ap_config.glist_current'.
	* 'stream_{add,remove}_info_updater' are now 'stream_{add,remove}_updater'.
	* 'print_stream_info' is now 'stream_print_info' and moved to stream.c.
	* player_clear_pipeline() can now be called twice safely.
	* Some indenting changes.
	* 'lastprint' has moved to stream.h.

2009-02-17  Arnaud Soyez  <weboide@codealpha.net>

	* Changed some OptionEntries' description.

2009-02-17  Arnaud Soyez  <weboide@codealpha.net>

	* Added playlist_free() for playlist 'free memory' functions (removed from main())
	* Minor changes (comments, linebreaks, spaces)

2009-02-16  Arnaud Soyez  <weboide@codealpha.net>

	* Added functions.{h,c} and playlist.{h,c}:
	- added/moved some functions into them.
	* Changed filenames in somes files (the filename before the gpl header).

2009-02-16  Arnaud Soyez  <weboide@codealpha.net>

	* Fixed segmentation fault with long args.
	* Changed some char, int into gchar, gint.
	* Added a few comments in audiopreview.c.

2009-02-13  Arnaud Soyez  <weboide@codealpha.net>

	* Added "No stream found" when no argument has been given.
	* Changed version to 0.2 for release.

2009-02-13  Arnaud Soyez  <weboide@codealpha.net>

	* Fix segmentation error when typing just: audiopreview

2009-02-11  Arnaud Soyez  <weboide@codealpha.net>

	* Show warning message when STATE_CHANGE_FAILURE in player.c.
	* A stream now gets its uri and filepath with stream_new().
	* Added a \n for a g_info in audiopreview.c.

2009-02-10  Arnaud Soyez  <weboide@codealpha.net>

	* Added --volume support, to change the Output volume.
	* Added some i18n support to ap_config.c.
	* Changed in options entries: 
	- proper short names for --shuffle
	- removed conflicts (removed short name for --no-audio/video)
	- Changed some text
	* Changed data/audiopreview.1:
	- Modifications for above changes
	- Fixed typos/errors

2009-02-10  Arnaud Soyez  <weboide@codealpha.net>

	* Minor changes (mostly strings changes).

2009-02-10  Arnaud Soyez  <weboide@codealpha.net>

	* "loading file..." is now shown only in verbose mode.

2009-02-10  Arnaud Soyez  <weboide@codealpha.net>

	* Changed author name style.

2009-02-10  Arnaud Soyez  <weboide@codealpha.net>

	* Added --shuffle option to shuffle the playlist before playing 1st stream.
	* Changed documentation for above changes.
	* Changed order of options in data/audiopreview.1 man page.

2009-02-10  Arnaud Soyez  <weboide@codealpha.net>

	* Changed documentation because of new --entirely option.

2009-02-10  Arnaud Soyez  <weboide@codealpha.net>

	* Added option --entirely to play each stream entirely.

2009-01-25  Arnaud Soyez  <weboide@codealpha.net>

	* Added some ignores.

2009-01-25  Arnaud Soyez  <weboide@codealpha.net>

	* Minor change in README.in.

2009-01-25  Arnaud Soyez  <weboide@codealpha.net>

	* Changed default position to ANYWHERE when the position is unknown.
	* Changed some text in options descriptions.

2009-01-23  Arnaud Soyez  <weboide@codealpha.net>

	* Added man page (changed data/Makefile.am accordingly)
	* Added info about gstreamer plugins in README.in.
	* Fixed ap_config_init() which didn't work.
	* Minor change in audiopreview.h

2009-01-23  Arnaud Soyez  <weboide@codealpha.net>

	* Some indenting.

2009-01-23  Arnaud Soyez  <weboide@codealpha.net>

	* Added README.in information.
	* Some code cleanup in audiopreview.{c,h}.
	* Added autogen.sh and README to EXTRA_DIST in Makefile.am.
	* Changed version in configure.ac for differentiating trunk from dist releases.

2009-01-17  Arnaud Soyez  <weboide@codealpha.net>

	* Some cleanup.
	* Moved debug option entries to a new option group.

2009-01-16  Arnaud Soyez  <weboide@codealpha.net>

	* Added support to deactivate audio and/or video output.
	* Removed some very verbose debug output when freeing stream memory.

2009-01-15  Arnaud Soyez  <weboide@codealpha.net>

	* Added ap_config.c:
	- added ap_config_init() to help initialize default configuration.
	- added config_check_start_position() to check value of --position.
	* Added support for choosing the position where to start playing.
	* Added fast-seek support.
	* Changed options order for --help.

2009-01-15  Arnaud Soyez  <weboide@codealpha.net>

	* Finally changed pipeline type back to classic playbin.
	* Added support to play the whole file (using duration option < 0)
	* Fixed playing timeout function not being removed when reaching EOS.

2009-01-14  Arnaud Soyez  <weboide@codealpha.net>

	* Moved ap_config.h into /src/. It was in /.

2009-01-14  Arnaud Soyez  <weboide@codealpha.net>

	* Moved audiopreview.h into /src/. It was in /.

2009-01-14  Arnaud Soyez  <weboide@codealpha.net>

	* Some code cleanup
	* Now pipeline goes through GST_STATE_NULL before GST_STATE_READY. it seems safer.
	- Added option to skip it.

2009-01-14  Arnaud Soyez  <weboide@codealpha.net>

	* Initial Commit (mostly for a gstreamer bug report)
	* This version is still *UNSTABLE*.

